<?php

namespace App\Helpers;

use GuzzleHttp\Psr7\Request;
use GuzzleHttp\Client;

class WhatsappClient
{

    /**
     * Sends an SMS message to the specified phone number.
     *
     * @param string $phone The phone number to send the SMS to.
     * @param string $text The text message to send.
     * @throws Exception If there is an error sending the SMS.
     * @return mixed The response from the SMS service.
     */
    public static function send($phone, $text){
        $client = new Client();
        // $client->request('POST', env('WHATSAPP_URL').'/api/startTyping',['json' =>[
        //     "chatId" => $phone."@c.us",
        //     "session" => "default",
        //     ]]);
        $res = $client->request('POST', env('WHATSAPP_URL').'/api/sendText',  ['json' =>[
            "chatId" => $phone,
            "text"     => $text,
            "session" => "default",
        ]]);
        // $client->request('POST', env('WHATSAPP_URL').'/api/stopTyping',['json' =>[
        //     "chatId" => $phone."@c.us",
        //     "session" => "default",
        //     ]]);
        return json_decode($res->getBody());
    }

}
