<?php

namespace App\Http\Middleware;

use Illuminate\Auth\Middleware\Authenticate as Middleware;
use Illuminate\Http\Request;

class Authenticate extends Middleware
{
    /**
     * Get the path the user should be redirected to when they are not authenticated.
     */
    protected function redirectTo(Request $request): ?string
    {
        return $request->expectsJson() ? null : route('login');
    }
    

    /**
     * Handle an unauthenticated request.
     *
     * @param mixed $request The request object.
     * @param array $guards The authentication guards.
     * @throws Some_Exception_Class The exception that is thrown.
     * @return void
     */
    protected function unauthenticated($request, array $guards)
    {
        abort(response()->json([
            "isSuccess" => false,
            "status"   => 401,
            "message"=> "Unauthorized!",
            "data" => null,
            "errors" => null
        ], 401));
    }
}
