<?php

namespace App\Imports;

use App\Models\Ticket;
use Maatwebsite\Excel\Concerns\ToModel;
use Illuminate\Support\Facades\Log;

class TicketsImport implements ToModel
{
    protected $place_uuid;

    public function __construct($place_uuid){
        $this->place_uuid = $place_uuid;
    }
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
        if (count($row) == 1) {
            $row[1] = 0;
            }
        $ticket = Ticket::where('label', $row[0])->where('place_uuid', $this->place_uuid)->first();
        if($ticket){
            return null;
        }else{
            return new Ticket([
                'label'     => $row[0],
                'vip'    => $row[1],
                'place_uuid' => $this->place_uuid,
            ]);
        }
        
    }
}
