<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\Pivot;
use Illuminate\Database\Eloquent\SoftDeletes;

class PlaceAds extends Pivot
{
    use HasUuids, SoftDeletes;
    protected $table = 'place_ads';
    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = true;
    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'place_uuid',
        'ad_uuid',
        'is_active'
    ];


    /**
     * The placeAds that belong to the Advertisement.
     */
    public function ads(): BelongsTo
    {
        return $this->belongsTo(Advertisement::class, 'ad_uuid')->withTrashed();
    }
    /**
     * The placeAds that belong to the place.
     */
    public function place(): BelongsTo
    {
        return $this->belongsTo(Place::class, 'place_uuid')->withTrashed();
    }
}
