<?php

namespace App\Nova\Dashboards;

use Laravel\Nova\Cards\Help;
use Laravel\Nova\Dashboards\Main as Dashboard;
use App\Models\User;
use DigitalCreative\NovaDashboard\Card\NovaDashboard;
use DigitalCreative\NovaDashboard\Card\View;
use App\nova\Widgets\IncomeTableWidget;
use App\nova\Widgets\CarTrendWidget;
use App\Nova\Filters\FromDateFilter;
use App\Nova\Filters\ToDateFilter;
use App\Nova\Filters\PlaceFilter;


class Income extends Dashboard
{
    /**
     * Get the cards for the dashboard.
     *
     * @return array
     */
    public function cards()
    {
        return [
            NovaDashboard::make()
                ->addView('Income', function (View $view) {
                    return $view
                        ->icon('window')
                        ->addWidgets([
                            IncomeTableWidget::make(),
                            ])
                        ->addFilters([
                            FromDateFilter::make(),
                            ToDateFilter::make(),
                        ]);
                        }),

        ];
    }
}
