<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('places', function (Blueprint $table) {    
            $table->float('all_week_price')->default(0)->after('logo')->nullable()->change();
            $table->float('week_days_price')->default(0)->after('all_week_price')->nullable()->change();
            $table->float('friday_price')->default(0)->after('week_days_price')->nullable()->change();
            $table->float('weekend_price')->default(0)->after('friday_price')->nullable()->change();
            $table->float('carwash_price')->default(0)->after('weekend_price')->nullable()->change();
            $table->float('fuel_price')->default(0)->after('carwash_price')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('places', function (Blueprint $table) {    
            $table->float('all_week_price')->default(0)->after('logo');
            $table->float('week_days_price')->default(0)->after('all_week_price');
            $table->float('friday_price')->default(0)->after('week_days_price');
            $table->float('weekend_price')->default(0)->after('friday_price');
            $table->float('carwash_price')->default(0)->after('weekend_price');
            $table->float('fuel_price')->default(0)->after('carwash_price');
        });
    }
};
