<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
        <script src="https://js.pusher.com/8.0.1/pusher.min.js"></script>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/intl-tel-input@18.2.1/build/css/intlTelInput.css">
        <script src="https://cdn.jsdelivr.net/npm/intl-tel-input@18.2.1/build/js/intlTelInput.min.js"></script>
        <link rel="stylesheet" href="{{secure_asset('css/style.css')}}">
        <title>Tasree</title>
    </head>

    <body>
        <div class="container">

            <!-- Logo box -->


            <div class="row text-center">
                <div class="col-5">
                    <img id="hotel-icon" src="/storage/hotels/{{$logo}}" />
                </div>
                <div class="col-7 text-left">
                <p id="hotel-text">Welcome to: </p>
                <h1 style="font-size: 7vw">{{$name}}</h1>
                    <!-- <p>Hotel website</p> -->
                </div>
            </div>

            <hr/>
            @if(isset($ads) & isset($ads->url))
            <a href="{{$ads->url}}" target="_blank">
            @if(isset($ads->image))
                <img id="ads" src="/storage/ads/{{$ads->image}}" style="width: 100%">
            @elseif(isset($ads->text))
                {{$ads->text}}
            @endif
            </a>
            <hr/>

            @endif
            

            <div class="row text-center">
                @if($assignment->firstname != null || $assignment->lastname != null)
                    <div class="col-7 text-left">
                        <p style="margin-left: 20px;">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-person" viewBox="0 0 16 16">
                            <path d="M8 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6Zm2-3a2 2 0 1 1-4 0 2 2 0 0 1 4 0Zm4 8c0 1-1 1-1 1H3s-1 0-1-1 1-4 6-4 6 3 6 4Zm-1-.004c-.001-.246-.154-.986-.832-1.664C11.516 10.68 10.289 10 8 10c-2.29 0-3.516.68-4.168 1.332-.678.678-.83 1.418-.832 1.664h10Z"></path>
                        </svg> Mr./Ms. {{$assignment->firstname}} {{$assignment->lastname}}
                        </p>


                            @if(isset($assignment->country_code))
                            <p style="margin-left: 20px;">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-telephone" viewBox="0 0 16 16">
                                <path d="M3.654 1.328a.678.678 0 0 0-1.015-.063L1.605 2.3c-.483.484-.661 1.169-.45 1.77a17.568 17.568 0 0 0 4.168 6.608 17.569 17.569 0 0 0 6.608 4.168c.601.211 1.286.033 1.77-.45l1.034-1.034a.678.678 0 0 0-.063-1.015l-2.307-1.794a.678.678 0 0 0-.58-.122l-2.19.547a1.745 1.745 0 0 1-1.657-.459L5.482 8.062a1.745 1.745 0 0 1-.46-1.657l.548-2.19a.678.678 0 0 0-.122-.58L3.654 1.328zM1.884.511a1.745 1.745 0 0 1 2.612.163L6.29 2.98c.329.423.445.974.315 1.494l-.547 2.19a.678.678 0 0 0 .178.643l2.457 2.457a.678.678 0 0 0 .644.178l2.189-.547a1.745 1.745 0 0 1 1.494.315l2.306 1.794c.829.645.905 1.87.163 2.611l-1.034 1.034c-.74.74-1.846 1.065-2.877.702a18.634 18.634 0 0 1-7.01-4.42 18.634 18.634 0 0 1-4.42-7.009c-.362-1.03-.037-2.137.703-2.877L1.885.511z"/>
                            </svg>
                            ({{$assignment->country_code}}) {{$assignment->phone}}
                            </p>
                            @endif


                        @if(isset($assignment->email))
                        <p style="font-size:2.5vw" style="margin-left: 20px;">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-envelope-at" viewBox="0 0 16 16">
                                <path d="M2 2a2 2 0 0 0-2 2v8.01A2 2 0 0 0 2 14h5.5a.5.5 0 0 0 0-1H2a1 1 0 0 1-.966-.741l5.64-3.471L8 9.583l7-4.2V8.5a.5.5 0 0 0 1 0V4a2 2 0 0 0-2-2H2Zm3.708 6.208L1 11.105V5.383l4.708 2.825ZM1 4.217V4a1 1 0 0 1 1-1h12a1 1 0 0 1 1 1v.217l-7 4.2-7-4.2Z"/>
                                <path d="M14.247 14.269c1.01 0 1.587-.857 1.587-2.025v-.21C15.834 10.43 14.64 9 12.52 9h-.035C10.42 9 9 10.36 9 12.432v.214C9 14.82 10.438 16 12.358 16h.044c.594 0 1.018-.074 1.237-.175v-.73c-.245.11-.673.18-1.18.18h-.044c-1.334 0-2.571-.788-2.571-2.655v-.157c0-1.657 1.058-2.724 2.64-2.724h.04c1.535 0 2.484 1.05 2.484 2.326v.118c0 .975-.324 1.39-.639 1.39-.232 0-.41-.148-.41-.42v-2.19h-.906v.569h-.03c-.084-.298-.368-.63-.954-.63-.778 0-1.259.555-1.259 1.4v.528c0 .892.49 1.434 1.26 1.434.471 0 .896-.227 1.014-.643h.043c.118.42.617.648 1.12.648Zm-2.453-1.588v-.227c0-.546.227-.791.573-.791.297 0 .572.192.572.708v.367c0 .573-.253.744-.564.744-.354 0-.581-.215-.581-.8Z"/>
                            </svg>
                            {{$assignment->email}}
                        </p>
                        @endif
                    </div>
                @else
                    <div class="col-7 text-left">
                        <p style="margin-left: 20px;">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-person" viewBox="0 0 16 16">
                            <path d="M8 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6Zm2-3a2 2 0 1 1-4 0 2 2 0 0 1 4 0Zm4 8c0 1-1 1-1 1H3s-1 0-1-1 1-4 6-4 6 3 6 4Zm-1-.004c-.001-.246-.154-.986-.832-1.664C11.516 10.68 10.289 10 8 10c-2.29 0-3.516.68-4.168 1.332-.678.678-.83 1.418-.832 1.664h10Z"></path>
                        </svg> Dear Valued driver of (<span>{{$assignment->car_make}}</span>)
                        
                        </p>
                    </div>  
                @endif
                <div class="col-5 d-flex justify-content-center align-items-center" >
                    <p id="ticket-number" style="margin-right: 34px">{{$assignment->ticket->label}}</p>
                </div>

            </div>

            <div class="row" style="margin: 5px 0px">
                @if($place->txt_msg != "")
                    <div class="col-12 d-flex justify-content-center align-items-center alert-primary" style="padding: 12px">
                           {{$place->txt_msg}} 
                    </div>
                @endif
            </div>

            <div class="row">
                <div class="col-6 d-flex justify-content-center align-items-center" style="line-height: normal;text-align: center">
                    Entrance
                    <br>
                    @php
                        $entrance = explode(" ",$assignment->created_at->format('Y-m-d H:i:s'))
                    @endphp
                    {{$entrance[0]}}
                    <br/>
                    {{$entrance[1]}}
                </div>
                <div class="col-6 d-flex justify-content-center align-items-center" style="line-height: normal;text-align: center">
                    Last Update
                    <br>
                    @php
                        $entrance = explode(" ",$assignment->updated_at->format('Y-m-d H:i:s'))
                    @endphp
                    {{$entrance[0]}}
                    <br/>
                    {{$entrance[1]}}
                </div>
            </div>

            <hr/>

            <div class="row">
                <div id="bill" class="col-12 text-center">
                    @foreach ($payments as $key => $payment)
                        @if($notes[$key] == 'Tax')
                            <div class="row" id='tax'>
                                <div class="col-6 text-left">{{$notes[$key]}} {{$place->tax}}%:</div>
                                <div class="col-6 text-right" id='tax-value'>{{ $payment == 0 ? '0.0' : number_format($payment, 2) }}</div>
                            </div>
                        @elseif($notes[$key] == 'Discount')
                            @if($payment == 0)
                                <div class="row" id='discount'  hidden >
                            @else
                                <div class="row" id='discount'>
                            @endif
                                <div class="col-6 text-left discount">{{$notes[$key]}} :</div>
                                <div class="col-6 text-right discount" id='discount-value'>{{ $payment == 0 ? '0.0' : number_format($payment, 2) }}</div>
                            </div>                    
                        @elseif($notes[$key] == 'Tip')
                            @if($payment == 0)
                                    <div class="row" id='tip'  hidden >
                                @else
                                    <div class="row" id='tip'>
                                @endif
                                    <div class="col-6 text-left discount">{{$notes[$key]}} :</div>
                                    <div class="col-6 text-right discount" id='tip-value'>{{ $payment == 0 ? '0.0' : number_format($payment, 2) }}</div>
                                </div>                          
                        @else
                            <div class="row">
                                <div class="col-6 text-left">{{$notes[$key]}}:</div>
                                <div class="col-6 text-right">{{ $payment == 0 ? '0.0' : number_format($payment, 2) }}</div>
                            </div>                     
                        @endif
                        <hr/>
                    @endforeach
                    <hr/>
                    <div class="row">
                        <div class="col-6 text-left total">Total :</div>
                        <div class="col-6 text-right total">
                            <span class="currency">
                                @php
                                $currencies = config('currency');
                                echo $currencies[$place->country_code];
                                @endphp
                            </span> 
                            <div id="total" style="display:inline">
                                {{ number_format($total, 2) }}
                            </div>
                        </div>
                    </div>                    
                    </div>
                </div>
                

            <hr/>

            <p style="text-align: center;">Requested With : </p>

            <div class="row">

                @if($response!=null)
                <div class="col-6 text-right">
                    @if(isset($response->order))

                    <a class="btn btn-success" href="{{$response->order->url}}" id="online_pay_link">
                        <img class="btn-icon" src="/img/payment-method.png"/> Pay Online
                    </a>
                    @else
                    <a class="btn btn-success" href="" disabled>
                        <img class="btn-icon" src="/img/payment-method.png"/> Pay Online
                    </a>
                    @endif
                    </div>
                <div class="col-6 text-left">
                    <a class="btn btn-primary", href="requestWithCash?assignment_id={{$assignment->id}}">
                        <img class="btn-icon" src="/img/payment-method-2.png"/> Cash
                    </a>
                </div>
                @else
                <div class="col-12 text-left">
                    <a class="btn btn-primary", href="requestWithCash?assignment_id={{$assignment->id}}">
                        <img class="btn-icon" src="/img/payment-method-2.png"/> Request Car
                    </a>
                </div>
                @endif




            </div>
<br/>
            <hr/>
<br/>
            <div class="row">
                
                    @if($assignment->applied_promotion)
                    <div class="col-8">
                        <input class="form-control" placeholder="Validation Code", id="promotion_code" disabled style="opacity:0.5">
                    </div>
                    <div class="col-4">
                        <button class="btn btn-info" id="apply_btn" disabled style="opacity:0.5">Apply</button>
                    </div>
                    @else
                    <div class="col-8">
                        <input class="form-control" placeholder="Validation Code", id="promotion_code">
                    </div>
                    <div class="col-4">
                        <button class="btn btn-info" id="apply_btn">Apply</button>
                    </div>
                    @endif
                    </div>

                <div class="row">
                    <div class="col-12 text-center">
                        <span class="badge rounded-pill text-bg-danger" id="promote_error" style="background:#f74b4b;border-radius:10px;" hidden></span>
                    </div>
                </div>
            
                <br/>
                
            <div class="row">
                <div class="col-12">
                    <form action="AddTip">
                        @csrf
                        @if($assignment->Tip)
                        <div class="row">
                            <div class="col-8">
                                <input class="form-control" name="Tip" placeholder="Tip", disabled style="opacity:0.5">
                            </div>
                            <div class="col-4">
                                <button class="btn btn-info" disabled style="opacity:0.5">Apply</button>
                            </div>
                        </div>
                        @else
                        <div class="row">
                            <div class="col-8">
                                <input class="form-control" type="number" name="Tip" placeholder="Tip", id="AddTipInput">
                            </div>
        
                            <div class="col-4">
                                <button class="btn btn-info" type="button" onclick="AddTipFunction()" id="apply_b">Apply</button>
                            </div>
                        </div>
                        @endif
                    </form>
                </div>

            </div>
            

            <br/>
            <br/>
            <br/>
            </div>
            <div id="footer" class="footer fixed-bottom text-center">
                <div style="font-size: 10px;display: inline">Powerd By :</div>
                <a href="https://tasree.ae/" target="_blank">Tasree.ae<div style="font-size:14px;bottom:5px;display:inline;position:relative">®</div></a>
                <br/>
                <a href="https://tasree.ae/" target="_blank" style="font-size: 12px">privacy and policy</a> |
                 <a href="https://tasree.ae/" target="_blank" style="font-size: 12px">Terms and Conditions</a>
            </div>

        
<script>
    btn = document.getElementById('apply_btn');
    btn.addEventListener('click',function(){
    // console.log(document.getElementById('promotion_code').value)
      const xhttp = new XMLHttpRequest();
      xhttp.onload = function() {
        // console.log(this.responseText);
        var response = JSON.parse(this.responseText);
        // console.log("befor if");
        // console.log(response.data);
        if(response.data != null){
            // console.log("in the if")
            // console.log(response.data.discount);
            document.getElementById('apply_btn').disabled = true;
            document.getElementById('promotion_code').disabled = true;
            document.getElementById('apply_btn').style.opacity = 0.5;
            document.getElementById('promotion_code').style.opacity = 0.5;
            document.getElementById('discount').hidden=false;
            document.getElementById('discount-value').innerHTML = response.data.discount;
            document.getElementById('tax-value').innerHTML = (Number({{$total}})/(1+(Number({{$place->tax}})/100))-Number(response.data.discount)) * Number({{$place->tax}})/100;
            document.getElementById('total').innerHTML = (Number({{$total}})/(1+(Number({{$place->tax}})/100))-Number(response.data.discount)) * (1+Number({{$place->tax}})/100);
            document.getElementById("promote_error").hidden= true;
            // console.log(response.data.tler_response);
            // console.log(response.data.tler_response.order != null);
            if(response.data.tler_response.order != null){
                console.log(response.data.tler_response.order.url);
                document.getElementById('online_pay_link').href = response.data.tler_response.order.url;
            }
            else{
                document.getElementById('online_pay_link').disabled = true;
            }
        }else{
            document.getElementById("promote_error").hidden= false;
            document.getElementById("promote_error").innerText = response.message;
        }
    }
      xhttp.open("GET", "applyPromotion?assignmentId={{$assignment->id}}&promotionCode="+document.getElementById('promotion_code').value, true);
      xhttp.send();
})
</script>
<script>


    var bill_div = document.getElementById('bill').innerHTML;

    function AddTipFunction() {

        var tip = document.getElementById('AddTipInput').value;
        console.log(tip);

        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() {
            if (this.readyState == 4 && this.status == 200) {
                document.getElementById("AddTipInput").style.opacity = 0.5;
                document.getElementById("apply_b").style.opacity = 0.5;                
            }
            xhttp.onload = function() {
                var response = JSON.parse(this.responseText);
                var tip = document.getElementById('AddTipInput').value;
                var last_tip = (Number) (document.getElementById('tip-value').innerHTML);
                document.getElementById('tip').hidden=false;
                document.getElementById('tip-value').innerHTML = Number(tip).toLocaleString(undefined, {
                    minimumFractionDigits: 2,
                    maximumFractionDigits: 2
                });
                var formattedTotal = (Number({{$total}}) + Number(tip) - last_tip).toLocaleString(undefined, {
                    minimumFractionDigits: 2,
                    maximumFractionDigits: 2
                });
                document.getElementById('total').innerHTML = formattedTotal;
                if(response.data.tler_response.order != null){
                    console.log(response.data.tler_response.order.url);
                    document.getElementById('online_pay_link').href = response.data.tler_response.order.url;
                }else{
                    document.getElementById('online_pay_link').disabled = true;
                }
            };
        }
        xhttp.open("GET", "applyTip?tip="+tip+"&assignmentId={{$assignment->id}}", true);
        xhttp.send();
    }
</script>
    </body>
</html>
