<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
        <script src="https://js.pusher.com/8.0.1/pusher.min.js"></script>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/intl-tel-input@18.2.1/build/css/intlTelInput.css">
        <script src="https://cdn.jsdelivr.net/npm/intl-tel-input@18.2.1/build/js/intlTelInput.min.js"></script>
        <link rel="stylesheet" href="{{secure_asset('css/style.css')}}">
        <title>Tasree</title>

        <style>
            .iti--show-flags {
                width: 100%;
            }
        </style>
        <script>

            window.onload = function(){
                pusher = new Pusher("{{ env('PUSHER_APP_KEY')}}", {cluster: "{{ env('PUSHER_APP_CLUSTER')}}"});
                var channel = pusher.subscribe('car');
                channel.bind('new_car', (data) => {
                    text = data;
                    console.log(text);});
            }

            document.addEventListener('DOMContentLoaded', () => {
            const input1 = document.querySelector('#phone');
            intlTelInput(input1, {
                preferredCountries: ["ae", "sa", "qa", "us", "gb", "kw", "om", "bh"],
                initialCountry: "ae",
                // options here
                utilsScript: 'https://cdn.jsdelivr.net/npm/intl-tel-input@18.2.1/build/js/utils.js' // Adjust the path as necessary
            });

            input1.addEventListener('change', function(){
                const inp = document.querySelector('#phone');
                const iti = window.intlTelInputGlobals.getInstance(inp);
                document.querySelector("#phonecountrycode").value = iti.getSelectedCountryData().dialCode;
            });

            const input2 = document.querySelector('#whatsapp');
            intlTelInput(input2, {
                // options here
                preferredCountries: ["ae", "sa", "qa", "us", "gb", "kw", "om", "bh"],
                initialCountry: "ae",
                utilsScript: 'https://cdn.jsdelivr.net/npm/intl-tel-input@18.2.1/build/js/utils.js' // Adjust the path as necessary
            });

            input2.addEventListener('change', function(){
                const inp = document.querySelector('#whatsapp');
                const iti = window.intlTelInputGlobals.getInstance(inp);
                document.querySelector("#phonecountrycode").value = iti.getSelectedCountryData().dialCode;
            });
            
});


        </script>
    </head>
    <body>
    <div class="container">

<!-- Logo box -->

<div class="row text-center  align-items-center">
    <div class="col-5">
        <img id="hotel-icon" src="/storage/hotels/{{$place->logo}}" />
    </div>
    <div class="col-7 text-left">
    <p id="hotel-text">Welcome to: </p>
    <h1 style="font-size: 7vw">{{$place->name}}</h1>
        <!-- <p>Hotel website</p> -->
    </div>
</div>
<hr/>


<div class="container">
<div class="row text-center">
    <div class="col-8 justify-content-center align-items-center">
        <div class="row">
            <div class="col">
                <p id="digital-ticket-title">Digital Ticket</p>
            </div>
        </div>
        <div class="row">
            <div class="col justify-content-center align-items-center" style="line-height: normal;">
                Entrance
                <br>
                @php
                    $entrance = explode(" ",$assignment->created_at->format('Y-m-d H:i:s'));
                    $date = new DateTimeImmutable($entrance[0]);
                @endphp
                {{$date->format('d M Y');}}
                <br/>
                {{$entrance[1]}}
            </div>
        </div>     
    </div>
    
    <div class="col-4 justify-content-center align-items-center">
        <p id="ticket-number">{{$assignment->ticket->label}}</p>
    </div>
</div>
<br/>
        <div class="row text-center">
            <div class="container">
                <div class="row ">
                    <div class="col-6" id="form-toggle" style="position: relative; display: flex; align-items: center; padding: 0 5px;">
                        <button class="btn btn-info align-items-center; width: 100%;" id="request-pay-btn" onclick="form_toggle">
                            <p style="display: inline;">Update Info</p>
                        </button>
                        <div style="width: auto; max-width: 66px; height: 18px; background-color: red; position: absolute; left: -6%; top: 16%; transform: rotateZ(-35deg); font-size: 14px; border-radius: 4px; padding: 0px 2px;">
                            <p style="margin: 0; white-space: nowrap;">Optional</p>
                        </div>
                    </div>                        
                    <div class="col-6" style="padding: 0 5px">
                            <form method="post" action="profile">
                                @csrf
                                    <input type="text" name="assignment_id" hidden value="{{$assignment->id}}">
                                    <button class="btn btn-info" id="request-pay-btn" style="padding: 5px 1px;">Request & Pay</button>
                            </form>
                    </div>
                    
                </div>
            </div>            
        </div>
</div>
<hr/>
<!-- <div class="col-12 d-flex justify-content-center align-items-center alert-primary" id="form-toggle">
    Update your profile info.(<p style="color:red;">Optional</p>)
</div> -->
<div class="container" style="padding-bottom:75px;" hidden id="info-form">

<form method="POST" id="myForm" action="profile">

    @csrf

    <div class="row align-items-center">
        <div class="col-12">
            <div style="position: relative; width:100%; display:block;">
                <input id="phone"  name="phone"  class="form-control input-append"  placeholder="Phone"/>
                <svg xmlns="http://www.w3.org/2000/svg" xml:space="preserve" width="24px" height="24px" style="position:absolute;right:5px;top:8px;shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd"viewBox="0 0 6.82666 6.82666"xmlns:xlink="http://www.w3.org/1999/xlink"><defs><style type="text/css"><![CDATA[.fil0 {fill:none}.fil2 {fill:#E64A19}.fil1 {fill:#FF6E40}]]></style></defs><g id="Layer_x0020_1"><metadata id="CorelCorpID_0Corel-Layer"/><g id="_491463032"><rect id="_491463320" class="fil0" width="6.82666" height="6.82666"/><rect id="_491463128" class="fil0" x="0.853331" y="0.853331" width="5.12" height="5.12"/></g><g id="_491478824"><path id="_491463224" class="fil1" d="M0.908571 2.24032c0.0676417,1.38906 1.96802,3.15789 3.2551,3.56889 0.863717,0.275768 2.1483,-0.268205 1.63998,-0.776646l-0.802594 -0.802984c-0.122031,-0.122118 -0.319803,-0.107913 -0.439051,0.0112992l-0.460874 0.460728c-0.991472,-0.540205 -1.40748,-0.965465 -1.95219,-1.951l0.461587 -0.461201c0.119421,-0.119453 0.132945,-0.316929 0.0108228,-0.439051l-0.802921 -0.802949c-0.44937,-0.44937 -0.93548,0.667693 -0.909858,1.19292z"/><path id="_491478584" class="fil2" d="M0.908571 2.24032l1.24037 0.51028 0.461587 -0.461201c0.119421,-0.119453 0.132945,-0.316929 0.0108228,-0.439051l-0.802921 -0.802949c-0.44937,-0.44937 -0.93548,0.667693 -0.909858,1.19292z"/><path id="_491478176" class="fil2" d="M4.16367 5.8092c0.863717,0.275768 2.1483,-0.268205 1.63998,-0.776646l-0.802594 -0.802984c-0.122031,-0.122118 -0.319803,-0.107913 -0.439051,0.0112992l-0.460874 0.460728 0.0625433 1.1076z"/></g></g></svg>   
            </div>          
        </div>
    </div>

    <p> or </p>

    <div class="row align-items-center">
        <div class="col">         
            <div style="position: relative;">
                <input id="whatsapp" name="whatsapp" type="text" class="form-control input-append" placeholder="Whatsapp">
                <svg xmlns="http://www.w3.org/2000/svg" style="position:absolute;top:8px;right:5px"  viewBox="0 0 48 48" width="24px" height="24px" clip-rule="evenodd"><path fill="#fff" d="M4.868,43.303l2.694-9.835C5.9,30.59,5.026,27.324,5.027,23.979C5.032,13.514,13.548,5,24.014,5c5.079,0.002,9.845,1.979,13.43,5.566c3.584,3.588,5.558,8.356,5.556,13.428c-0.004,10.465-8.522,18.98-18.986,18.98c-0.001,0,0,0,0,0h-0.008c-3.177-0.001-6.3-0.798-9.073-2.311L4.868,43.303z"/><path fill="#fff" d="M4.868,43.803c-0.132,0-0.26-0.052-0.355-0.148c-0.125-0.127-0.174-0.312-0.127-0.483l2.639-9.636c-1.636-2.906-2.499-6.206-2.497-9.556C4.532,13.238,13.273,4.5,24.014,4.5c5.21,0.002,10.105,2.031,13.784,5.713c3.679,3.683,5.704,8.577,5.702,13.781c-0.004,10.741-8.746,19.48-19.486,19.48c-3.189-0.001-6.344-0.788-9.144-2.277l-9.875,2.589C4.953,43.798,4.911,43.803,4.868,43.803z"/><path fill="#cfd8dc" d="M24.014,5c5.079,0.002,9.845,1.979,13.43,5.566c3.584,3.588,5.558,8.356,5.556,13.428c-0.004,10.465-8.522,18.98-18.986,18.98h-0.008c-3.177-0.001-6.3-0.798-9.073-2.311L4.868,43.303l2.694-9.835C5.9,30.59,5.026,27.324,5.027,23.979C5.032,13.514,13.548,5,24.014,5 M24.014,42.974C24.014,42.974,24.014,42.974,24.014,42.974C24.014,42.974,24.014,42.974,24.014,42.974 M24.014,42.974C24.014,42.974,24.014,42.974,24.014,42.974C24.014,42.974,24.014,42.974,24.014,42.974 M24.014,4C24.014,4,24.014,4,24.014,4C12.998,4,4.032,12.962,4.027,23.979c-0.001,3.367,0.849,6.685,2.461,9.622l-2.585,9.439c-0.094,0.345,0.002,0.713,0.254,0.967c0.19,0.192,0.447,0.297,0.711,0.297c0.085,0,0.17-0.011,0.254-0.033l9.687-2.54c2.828,1.468,5.998,2.243,9.197,2.244c11.024,0,19.99-8.963,19.995-19.98c0.002-5.339-2.075-10.359-5.848-14.135C34.378,6.083,29.357,4.002,24.014,4L24.014,4z"/><path fill="#40c351" d="M35.176,12.832c-2.98-2.982-6.941-4.625-11.157-4.626c-8.704,0-15.783,7.076-15.787,15.774c-0.001,2.981,0.833,5.883,2.413,8.396l0.376,0.597l-1.595,5.821l5.973-1.566l0.577,0.342c2.422,1.438,5.2,2.198,8.032,2.199h0.006c8.698,0,15.777-7.077,15.78-15.776C39.795,19.778,38.156,15.814,35.176,12.832z"/><path fill="#fff" fill-rule="evenodd" d="M19.268,16.045c-0.355-0.79-0.729-0.806-1.068-0.82c-0.277-0.012-0.593-0.011-0.909-0.011c-0.316,0-0.83,0.119-1.265,0.594c-0.435,0.475-1.661,1.622-1.661,3.956c0,2.334,1.7,4.59,1.937,4.906c0.237,0.316,3.282,5.259,8.104,7.161c4.007,1.58,4.823,1.266,5.693,1.187c0.87-0.079,2.807-1.147,3.202-2.255c0.395-1.108,0.395-2.057,0.277-2.255c-0.119-0.198-0.435-0.316-0.909-0.554s-2.807-1.385-3.242-1.543c-0.435-0.158-0.751-0.237-1.068,0.238c-0.316,0.474-1.225,1.543-1.502,1.859c-0.277,0.317-0.554,0.357-1.028,0.119c-0.474-0.238-2.002-0.738-3.815-2.354c-1.41-1.257-2.362-2.81-2.639-3.285c-0.277-0.474-0.03-0.731,0.208-0.968c0.213-0.213,0.474-0.554,0.712-0.831c0.237-0.277,0.316-0.475,0.474-0.791c0.158-0.317,0.079-0.594-0.04-0.831C20.612,19.329,19.69,16.983,19.268,16.045z" clip-rule="evenodd"/></svg>  
            </div>    
        </div>
    </div>
    <div id="phone-warning" class="alert alert-primary" style="margin: 5px 0 5px 0">
        <p>
            By entering your number, you agree to receive mobile messages at the phone number provided. Message frequency varies. Message and data rates may apply.
            View our <a href="{{('/pdf/Privacy.docx')}}" target="_blank" style="font-size: 12px; text-decoration: underline">privacy policy</a> and 
            <a href="{{('/pdf/Terms.docx')}}" target="_blank" style="font-size: 12px; text-decoration: underline">Terms of Service</a>
        </p>
        <br>
        <label>
            <input type="checkbox" id="agree" oninvalid="this.setCustomValidity(' ')" required>
            <p id="phone-warning-text" style="display: inline">I have read and agree to the terms and conditions</p>
        </label>        
    </div>  

    <p> or </p>

    <div class="row align-items-center">
        <div class="col">
            <input type="email" name="email" class="form-control" placeholder="Email">
        </div>
    </div>

    <p style="margin-top: 12px;">Info </p>

    <div class="row align-items-center">
        <div class="col-6">
            <input type="text" name="firstname" class="form-control" placeholder="FirstName">
        </div>
        <div class="col-6">
            <input type="text" name="lastname" class="form-control" placeholder="LastName">
        </div>
    </div>
    <!-- Equivalent to... -->
    <input type="hidden" name="_token" value="{{ csrf_token() }}" />
    <br/>
    <div class="row text-center">
        <div class="col-12">
            <button class="btn btn-success" id="update-info-btn" onclick="validateForm()">Register</button>
        </div>
    </div>
    <input type="text" name="assignment_id" hidden value="{{$assignment->id}}">
    <input type="text" id="phonecountrycode" name="phonecountrycode" hidden>
    <!-- <input type="text" id="whatsappcountrycode" name="whatsappcountrycode" hidden> -->
</form>
</div>

<div id="footer" class="footer fixed-bottom text-center">
    <div style="font-size: 10px;display: inline">Powerd By :</div>
    <a href="https://tasree.ae/" target="_blank">Tasree.ae<div style="font-size:14px;bottom:5px;display:inline;position:relative">®</div></a>
    <br/>
    <a href="https://tasree.ae/" target="_blank" style="font-size: 12px">privacy and policy</a> |
    <a href="https://tasree.ae/" target="_blank" style="font-size: 12px">Terms and Conditions</a>
</div>

<script>

function form_toggle(){
    document.getElementById("info-form").hidden = !document.getElementById("info-form").hidden;
}

document.getElementById("form-toggle").addEventListener("click", form_toggle);
    function validateForm() {
        var checkBox = document.getElementById("agree");
        var Wtext = document.getElementById("phone-warning-text");
        var Wbox = document.getElementById("phone-warning");
    
        if (checkBox.checked == true)
        {
            document.getElementById("myForm").submit();
        }
        
        else
        {
            checkBox.style.outline = "1px solid red";
            Wtext.style.color = "red";
            Wbox.style.outline = "1px solid red";
            Wbox.classList = "alert alert-danger";
        }
    }
</script>

    </body>
</html>





    