<?php

use Illuminate\Support\Facades\Route;
use App\Models\User;
use App\Models\Place;
use App\Models\Assignment;
use App\Models\Role;
use App\Enums\RoleType;
use Symfony\Component\Mailer\Mailer;
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
use App\Http\Controllers\UserController;
use App\Helpers\PaymentClient;
use App\Helpers\WhatsappClient;
use App\Helpers\EmailClient;
use App\Helpers\PusherClient;
use App\Http\Controllers\CustomerController;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Collection;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

// User routes
Route::controller(CustomerController::class)->group(function(){

    // Endpoint for requesting a car
    Route::get('requestCar', 'requestCar')->name('requestCar')->middleware('signed:relative');

    // Endpoint for authorized payments
    Route::get("authorizedPayment", 'authorizedPayment');

    // Endpoint for declined payments
    Route::get("declinedPayment", 'cancelPayment');

    // Endpoint for canceling payments
    Route::get("cancelPayment", 'cancelPayment');

    // Endpoint for requesting with cash
    Route::get("requestWithCash", 'requestWithCash');

    // Endpoint for applying promotions
    Route::get("applyPromotion", "applyPromotion");

    Route::get("userInfo", "userInfo")->name('userInfo')->middleware('signed:relative');;
    Route::post("profile", "profile");

    Route::get("applyTip","applyTip");
});


// // Endpoint for sending emails
// Route::get("/mail", function(){
//     try{
//         EmailClient::send('mostafa.amiri.62@gmail.com', 'mohammadreza', 'salam', 'this is test');
//     }catch(Exception $e){
//         return response()->error(500, "", $e->getMessage());
//     }

// });


// // Enpoint for payment
// Route::get("/pay", function(){
//     PaymentClient::getPaymentLink("9a7e8887-005b-410b-9d86-59e184943108", "+97508661133");
// });


// // Endpoint for pushing new assignment
// Route::get('/push', function(){
//     PusherClient::send('car', 'new_car', Assignment::first());
// });


// // Endpoint for checking payment
// Route::get("/check", function(){
//     var_dump(PaymentClient::check("97021A83FF06825DBE0E0856E67D4251CB572722F7C1D138625AD370779C926E"));
// });




