<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
        <script src="https://js.pusher.com/8.0.1/pusher.min.js"></script>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/intl-tel-input@18.2.1/build/css/intlTelInput.css">
        <script src="https://cdn.jsdelivr.net/npm/intl-tel-input@18.2.1/build/js/intlTelInput.min.js"></script>
        <link rel="stylesheet" href="<?php echo e(secure_asset('css/style.css')); ?>">
        <style>
            #icon {
                width: 50px;
                position: relative;
                animation: moveIcon 3s linear forwards;
                transform: scaleX(-1);
            }

            <?php if(($assignment->status == 'requested_and_not_paid' || $assignment->status == 'requested_and_paid') && $assignment->assigned_to == null): ?>
            @keyframes moveIcon {
                0% {
                    left: 0;
                }

                100% {
                    left: 8%;
                }
            }
            <?php elseif($assignment->assigned_to != null && ($assignment->status == 'requested_and_not_paid' || $assignment->status == 'requested_and_paid')): ?>

            @keyframes moveIcon {
                0% {
                    left: 8%;
                }

                100% {
                    left: 40%;
                }
            }
            <?php elseif($assignment->assigned_to != null && ($assignment->status == 'ready_not_paid' || $assignment->status == 'ready_paid')): ?>
            @keyframes moveIcon {
                0% {
                    left: 50%;
                }

                100% {
                    left: 88%;
                }
            }
            <?php elseif($assignment->status == 'released'): ?>
            @keyframes moveIcon {
                0% {
                    left: 65%;
                }

                100% {
                    left: 85%;
                }
            }
            <?php endif; ?>


            @keyframes on_the_way {
                0% {
                    left: 8%;
                }

                100% {
                    left: 40%;
                }
            }
            @keyframes is_ready {
                0% {
                    left: 50%;
                }

                100% {
                    left: 88%;
                }
            }
            @keyframes delivered {
                0% {
                    left: 65%;
                }

                100% {
                    left: 85%;
                }
            }



        </style>


        <title>Tasree</title>
    </head>

    <body>
        <div class="container">

            <!-- Logo box -->

            <div class="row text-center">
                <div class="col-5">
                    <img id="hotel-icon" src="/storage/hotels/<?php echo e($place->logo); ?>" />
                </div>
                <div class="col-7 text-left">
                <p id="hotel-text">Welcome to: </p>
                <h1 style="font-size: 7vw"><?php echo e($place->name); ?></h1>
                    <!-- <p>Hotel website</p> -->
                </div>
            </div>


            <hr/>
            <?php if(isset($ads) & isset($ads->url)): ?>
            <a href="<?php echo e($ads->url); ?>" target="_blank">
            <?php if(isset($ads->image)): ?>
                <img id="ads" src="/storage/ads/<?php echo e($ads->image); ?>" style="width: 100%">
            <?php elseif(isset($ads->text)): ?>
                <?php echo e($ads->text); ?>

            <?php endif; ?>
            </a>
            <hr/>

            <?php endif; ?>
            <div class="row text-center">
                <div class="col-7 text-left">
                    <p style="margin-left: 20px;">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-person" viewBox="0 0 16 16">
                        <path d="M8 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6Zm2-3a2 2 0 1 1-4 0 2 2 0 0 1 4 0Zm4 8c0 1-1 1-1 1H3s-1 0-1-1 1-4 6-4 6 3 6 4Zm-1-.004c-.001-.246-.154-.986-.832-1.664C11.516 10.68 10.289 10 8 10c-2.29 0-3.516.68-4.168 1.332-.678.678-.83 1.418-.832 1.664h10Z"></path>
                      </svg> Mr./Ms. <?php echo e($assignment->firstname); ?> <?php echo e($assignment->lastname); ?>

                    </p>

                    <?php if(isset($assignment->country_code)): ?>
                        <p style="margin-left: 20px;">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-telephone" viewBox="0 0 16 16">
                            <path d="M3.654 1.328a.678.678 0 0 0-1.015-.063L1.605 2.3c-.483.484-.661 1.169-.45 1.77a17.568 17.568 0 0 0 4.168 6.608 17.569 17.569 0 0 0 6.608 4.168c.601.211 1.286.033 1.77-.45l1.034-1.034a.678.678 0 0 0-.063-1.015l-2.307-1.794a.678.678 0 0 0-.58-.122l-2.19.547a1.745 1.745 0 0 1-1.657-.459L5.482 8.062a1.745 1.745 0 0 1-.46-1.657l.548-2.19a.678.678 0 0 0-.122-.58L3.654 1.328zM1.884.511a1.745 1.745 0 0 1 2.612.163L6.29 2.98c.329.423.445.974.315 1.494l-.547 2.19a.678.678 0 0 0 .178.643l2.457 2.457a.678.678 0 0 0 .644.178l2.189-.547a1.745 1.745 0 0 1 1.494.315l2.306 1.794c.829.645.905 1.87.163 2.611l-1.034 1.034c-.74.74-1.846 1.065-2.877.702a18.634 18.634 0 0 1-7.01-4.42 18.634 18.634 0 0 1-4.42-7.009c-.362-1.03-.037-2.137.703-2.877L1.885.511z"/>
                        </svg>
                        (<?php echo e($assignment->country_code); ?>) <?php echo e($assignment->phone); ?>

                        </p>
                        <?php endif; ?>

                    <?php if(isset($assignment->email)): ?>
                    <p id="email" style="margin-left: 20px;">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-envelope-at" viewBox="0 0 16 16">
                            <path d="M2 2a2 2 0 0 0-2 2v8.01A2 2 0 0 0 2 14h5.5a.5.5 0 0 0 0-1H2a1 1 0 0 1-.966-.741l5.64-3.471L8 9.583l7-4.2V8.5a.5.5 0 0 0 1 0V4a2 2 0 0 0-2-2H2Zm3.708 6.208L1 11.105V5.383l4.708 2.825ZM1 4.217V4a1 1 0 0 1 1-1h12a1 1 0 0 1 1 1v.217l-7 4.2-7-4.2Z"/>
                            <path d="M14.247 14.269c1.01 0 1.587-.857 1.587-2.025v-.21C15.834 10.43 14.64 9 12.52 9h-.035C10.42 9 9 10.36 9 12.432v.214C9 14.82 10.438 16 12.358 16h.044c.594 0 1.018-.074 1.237-.175v-.73c-.245.11-.673.18-1.18.18h-.044c-1.334 0-2.571-.788-2.571-2.655v-.157c0-1.657 1.058-2.724 2.64-2.724h.04c1.535 0 2.484 1.05 2.484 2.326v.118c0 .975-.324 1.39-.639 1.39-.232 0-.41-.148-.41-.42v-2.19h-.906v.569h-.03c-.084-.298-.368-.63-.954-.63-.778 0-1.259.555-1.259 1.4v.528c0 .892.49 1.434 1.26 1.434.471 0 .896-.227 1.014-.643h.043c.118.42.617.648 1.12.648Zm-2.453-1.588v-.227c0-.546.227-.791.573-.791.297 0 .572.192.572.708v.367c0 .573-.253.744-.564.744-.354 0-.581-.215-.581-.8Z"/>
                        </svg>
                        <?php echo e($assignment->email); ?>

                    </p>
                    <?php endif; ?>
                </div>
                <div class="col-5 d-flex justify-content-center align-items-center">
                    <p id="ticket-number"style="margin-right: 34px"><?php echo e($assignment->ticket->label); ?></p>
                </div>
            </div>
                <div class="row" style="margin: 5px 0px">
                    <?php if($place->txt_msg != ""): ?>
                        <div class="col-12 d-flex justify-content-center align-items-center alert-primary" style="padding: 12px">
                            <?php echo e($place->txt_msg); ?> 
                        </div>
                    <?php endif; ?>
                </div>
                <div class="row">
                    <div class="col-6 d-flex justify-content-center align-items-center" style="line-height: normal; text-align: center">
                        Entrance
                        <br>
                        <?php
                            $entrance = explode(" ",$assignment->created_at->format('Y-m-d H:i:s'));
                            $date = new DateTimeImmutable($entrance[0]);
                        ?>
                        <?php echo e($date->format('d M Y')); ?>

                        <br/>
                        <?php echo e($entrance[1]); ?>

                    </div>
                    <div class="col-6 d-flex justify-content-center align-items-center" id="updated_at" style="line-height: normal; text-align: center">
                        Last Update
                        <br>
                        <?php
                            $updated = explode(" ",$assignment->updated_at->format('Y-m-d H:i:s'));
                            $date = new DateTimeImmutable($updated[0]);
                        ?>
                        <?php echo e($date->format('d M Y')); ?>

                        <br/>
                        <?php echo e($updated[1]); ?>

                    </div>
                </div>

            <hr/>
            <div class="row">
                <div class="col-12" >
                    <img src="/img/icons8-racing-car-96.png" id="icon">
                </div>
            </div>
            <div class="row" >
                <div class="col-12">
                    <div class="progress" id="released-bar" hidden>
                        <div class="progress-bar progress-bar-striped progress-bar-animated bg-danger" style="width:20%">
                        Requested
                        </div>
                        <div class="progress-bar progress-bar-striped progress-bar-animated bg-warning" style="width:40%">
                        On the way
                        </div>
                        <div class="progress-bar progress-bar-striped progress-bar-animated bg-success" style="width:20%">
                        Ready
                        </div>
                        <div class="progress-bar progress-bar-striped progress-bar-animated bg-primary" style="width:20%">
                        Delivered
                        </div>
                    </div>
                    <div class="progress" id="non-released-bar">
                        <div class="progress-bar progress-bar-striped progress-bar-animated bg-danger" style="width:25%">
                        Requested
                        </div>
                        <div class="progress-bar progress-bar-striped progress-bar-animated bg-warning" style="width:50%">
                        On the way
                        </div>
                        <div class="progress-bar progress-bar-striped progress-bar-animated bg-success" style="width:25%">
                        Ready
                        </div>
                    </div>
                </div>
            </div>

            <br/>

            <div class="row">
                <div style="font-size: 24px;" class="col-12 text-center">Plate Number : <?php echo e($assignment->car_plate); ?></div>

            </div>
            <hr/>
            <div class="row text-center">
                <div class="col-12">
                    <div class="dropdown">
                        <button class="dropbtn btn" style="width: 100%;">Billing Details <span id="dropdown-arrows-up" style="display: none;">↑</span><span id="dropdown-arrows-down">↓</span></button>

            <div class="dropdown-content" id="myDropdown">
                        <div id="bill" class="col-12 text-center">
                            <?php $__currentLoopData = $payments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $payment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($notes[$key] == 'Tax'): ?>
                                    <div class="row" id='tax'>
                                        <div class="col-6 text-left"><?php echo e($notes[$key]); ?> <?php echo e($place->tax); ?>%:</div>
                                        <div class="col-6 text-right" id='tax-value'><?php echo e($payment == 0 ? '0.0' : number_format($payment, 2)); ?></div>
                                    </div>
                                <?php elseif($notes[$key] == 'Discount'): ?>
                                    <?php if($payment == 0): ?>
                                        <div class="row" id='discount'  hidden >
                                    <?php else: ?>
                                        <div class="row" id='discount'>
                                    <?php endif; ?>
                                        <div class="col-6 text-left discount"><?php echo e($notes[$key]); ?> :</div>
                                        <div class="col-6 text-right discount" id='discount-value'><?php echo e($payment == 0 ? '0.0' : number_format($payment, 2)); ?></div>
                                    </div>                    
                                <?php else: ?>
                                    <div class="row">
                                        <div class="col-6 text-left"><?php echo e($notes[$key]); ?>:</div>
                                        <div class="col-6 text-right"><?php echo e($payment == 0 ? '0.0' : number_format($payment, 2)); ?></div>
                                    </div>                     
                                <?php endif; ?>
                                <hr/>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <div class="row">
                                <div class="col-6 text-left total">Total :</div>
                                <div class="col-6 text-right total">
                                    <span class="currency">
                                        <?php
                                        $currencies = config('currency');
                                        echo $currencies[$place->country_code];
                                        ?>
                                    </span> 
                                    <div id="total" style="display:inline">
                                        <?php echo e(number_format($total, 2)); ?>

                                    </div>
                                </div>
                            </div>                    
                            </div>
                        </div>
                        <?php if(isset($response->order)): ?>
                        <div class="row" style="padding: 10px 0 0 0; margin-bottom: 60px;">
                            <div class="col-12 text-center">
                                <a class="btn btn-success" href="<?php echo e($response->order->url); ?>" style="width: 100%;" >
                                    <img class="btn-icon" src="/img/payment-method.png"/> Online pay
                                </a>
                            </div>
                        </div>
                        <?php endif; ?>
                </div>
            </div>

            
            </div>
            <br>
            <br>
            <div id="footer" class="footer fixed-bottom text-center">
                <div style="font-size: 10px;display: inline">Powerd By :</div>
                <a href="https://tasree.ae/" target="_blank">Tasree.ae<div style="font-size:14px;bottom:5px;display:inline;position:relative">®</div></a>
                <br/>
                <a href="https://tasree.ae/" target="_blank" style="font-size: 12px">privacy and policy</a> |
                 <a href="https://tasree.ae/" target="_blank" style="font-size: 12px">Terms and Conditions</a>
            </div>

        

        <script>

            document.querySelector(".dropbtn").addEventListener("click", function() {

                var dropdownContent = document.getElementById("myDropdown");

                if (dropdownContent.style.display === "block")
                {
                    dropdownContent.style.display = "none";
                    document.getElementById("dropdown-arrows-down").style.display="inline-block";
                    document.getElementById("dropdown-arrows-up").style.display="none";

                }

                else {
                    dropdownContent.style.display = "block";
                    document.getElementById("dropdown-arrows-down").style.display="none";
                    document.getElementById("dropdown-arrows-up").style.display="inline-block";

                }
            });

        </script>

        <script>
            if('<?php echo e($assignment->status); ?>' == 'released'){
                document.getElementById("released-bar").hidden = false;
                document.getElementById("non-released-bar").hidden = true;
            }else{
                document.getElementById("released-bar").hidden = true;
                document.getElementById("non-released-bar").hidden = false;
            }
            if('<?php echo e($assignment->status); ?>' == 'requested_and_not_paid'
            || '<?php echo e($assignment->status); ?>' == 'ready_not_paid'){
                document.getElementById("ticket-number").style.background='#c50434';
            }
            if('<?php echo e($assignment->status); ?>' == 'released'){
                document.getElementById("ticket-number").style.background='#aaaaaa';
                document.getElementById("ticket-number").innerText = '✔';
            }


            window.onload = function(){
                pusher = new Pusher("<?php echo e(env('PUSHER_APP_KEY')); ?>", {cluster: "<?php echo e(env('PUSHER_APP_CLUSTER')); ?>"});
                var channel = pusher.subscribe('car_<?php echo e($place->id); ?>');
                channel.bind('new_car', (data) => {
                    text = data;
                    // console.log(text);
                    
                    const date = new Date(text.updated_at);
                    
                    
                    document.getElementById("updated_at").innerText = "Last Update\n"+ date.toLocaleString('en-us',{year:'numeric'})+" "+date.toLocaleString('en-us',{month:'short'})+" "+date.getDay()+"\n"+date.getHours()+":"+date.getMinutes()+":"+date.getSeconds();
                    if((text.status == 'requested_and_not_paid' ||
                       text.status == 'requested_and_paid') && text.assigned_to != null){
                        document.getElementById("icon").style.animation= 'none';
                        document.getElementById("icon").style.animation='on_the_way 3s linear forwards';
                    }
                    if(text.status == 'ready_not_paid' ||
                       text.status == 'ready_paid'){
                        document.getElementById("icon").style.animation= 'none';
                        document.getElementById("icon").style.animation='is_ready 3s linear forwards';
                    }
                    if(text.status == 'released'){
                        document.getElementById("released-bar").hidden = false;
                        document.getElementById("non-released-bar").hidden = true;
                        document.getElementById("icon").style.animation= 'none';
                        document.getElementById("icon").style.animation='delivered 3s linear forwards';
                    }

                });
            };
        </script>

    </body>
</html>
<?php /**PATH /home/dal/public_html/resources/views/CarStatus.blade.php ENDPATH**/ ?>